import { Body, Controller, Inject, Post } from '@midwayjs/core';
import { MqService } from '../service/mq.service';
import { get } from 'lodash';
import { MessageUserType } from '../public/var';

@Controller('/send')
export class SendController {
  @Inject()
  mqService: MqService;
  @Post('/')
  async sendMsg(@Body() body: object) {
    const target = get(body, 'target');
    const userType = get(body, 'userType');
    const content = get(body, 'content');
    let ex;
    if (userType === MessageUserType.ADMIN) {
      ex = this.mqService.system.ex;
    } else if (userType === MessageUserType.USER) {
      ex = this.mqService.user.ex;
    }
    return this.mqService.publish(ex, target, content);
  }
}